
Foreman - Bug #4960

undefined method `host_classes_path' when editing filter on "host class"

03/31/2014 08:41 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Create a (role) filter with the "Host class" edit_classes permission, then go back and edit it and it will fail:

ActionView::Template::Error (undefined method `host_classes_path' for #<#<Class:0x007f6facb28860>:

0x007f6fb95070f0>):

    45: 

    46:         <%= autocomplete_f f, :search,

    47:                            :disabled => f.object.unlimited?,

    48:                            :path => resource_path(f.object.resource_type), :control_group_

id => 'search_group' %>

    49:       </div>

    50:     </div>

    51: 

  app/helpers/filters_helper.rb:28:in `resource_path'

  app/views/filters/_form.html.erb:48:in `block in _app_views_filters__form_html_erb___20574354710

48220807_70058920025860'

  app/helpers/layout_helper.rb:248:in `form_for'

  app/views/filters/_form.html.erb:3:in `_app_views_filters__form_html_erb___2057435471048220807_7

0058920025860'

  app/views/filters/edit.html.erb:3:in `_app_views_filters_edit_html_erb__944164940854790638_70058

919033000'

  app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 127958bd - 04/09/2014 01:15 PM - Tomáš Strachota

Fixes #4960 - undefined method when editing filter without a UI controller

History

#1 - 03/31/2014 08:41 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 03/31/2014 01:33 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#3 - 04/08/2014 09:48 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#4 - 04/08/2014 01:13 PM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing
https://github.com/theforeman/foreman/pull/1361

#5 - 04/08/2014 01:17 PM - Dominic Cleal

- Target version set to 1.8.4

#6 - 04/09/2014 02:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 127958bd7f3d4ecba0608384a05e4ad7b6f374de.
